using System;
namespace ZXDT.CallCenter.Model
{
	/// <summary>
	/// T_Wo_WorkOrderFiles:实体类(属性说明自动提取数据库字段的描述信息)
	/// </summary>
	[Serializable]
	public partial class T_Wo_WorkOrderFiles
	{
		public T_Wo_WorkOrderFiles()
		{}
		#region Model
		private int _f_fileid;
		private int? _f_workorderid;
		private string _f_name;
		private string _f_path;
		private string _f_des;
		private string _f_type;
		private decimal? _f_size;
		private int? _f_uploadstate;
		private int? _f_userid;
		private DateTime? _f_uploaddate;
		private string _f_hoistyid;
		/// <summary>
		/// 文件Id
		/// </summary>
		public int F_FILEID
		{
			set{ _f_fileid=value;}
			get{return _f_fileid;}
		}
		/// <summary>
		/// 工单Id
		/// </summary>
		public int? F_WORKORDERID
		{
			set{ _f_workorderid=value;}
			get{return _f_workorderid;}
		}
		/// <summary>
		/// 文件名称
		/// </summary>
		public string F_NAME
		{
			set{ _f_name=value;}
			get{return _f_name;}
		}
		/// <summary>
		/// 文件路径
		/// </summary>
		public string F_PATH
		{
			set{ _f_path=value;}
			get{return _f_path;}
		}
		/// <summary>
		/// 文件描述
		/// </summary>
		public string F_DES
		{
			set{ _f_des=value;}
			get{return _f_des;}
		}
		/// <summary>
		/// 文件类型
		/// </summary>
		public string F_TYPE
		{
			set{ _f_type=value;}
			get{return _f_type;}
		}
		/// <summary>
		/// 文件大小
		/// </summary>
		public decimal? F_SIZE
		{
			set{ _f_size=value;}
			get{return _f_size;}
		}
		/// <summary>
		/// 上传状态
		/// </summary>
		public int? F_UPLOADSTATE
		{
			set{ _f_uploadstate=value;}
			get{return _f_uploadstate;}
		}
		/// <summary>
		/// 上传人员
		/// </summary>
		public int? F_USERID
		{
			set{ _f_userid=value;}
			get{return _f_userid;}
		}
		/// <summary>
		/// 上传时间
		/// </summary>
		public DateTime? F_UPLOADDATE
		{
			set{ _f_uploaddate=value;}
			get{return _f_uploaddate;}
		}
		/// <summary>
		/// 操作步奏ID
		/// </summary>
		public string F_HOISTYID
		{
			set{ _f_hoistyid=value;}
			get{return _f_hoistyid;}
		}
		#endregion Model

	}
}

